﻿@model GoogleAuthenticatorViewModel
@{
    Layout = "~/Views/Shared/_PanelSettingLayout.cshtml";
    ViewBag.Title = "غیر فعال سازی ورود دو مرحله ای";
}

<div class="row">
    <div class="col-lg-6">
        <p>کد ورود دو مرحله ای Google Authenticator برای حساب کاربری شما فعال می باشد.</p>
        <p>برای غیر فعال سازی ورود دو مرحله ای می توانید کد 6 رقمی را در این قسمت وارد نمایید و سپس دکمه غیر فعال سازی را بفشارید.</p>
    </div>
    <div class="col-lg-6">
        @using (Html.BeginForm("DisableTwoFa", "Panel", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(false)
            <div class="form-group">
                @Html.LabelFor(m => m.Code)
                <div class="input-group input-group-merge">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-key-skeleton"></i></span>
                    </div>
                    @Html.PasswordFor(m => m.Code, new { @class = "form-control", placeholder = "کد 6 رقمی" })
                </div>
                @Html.ValidationMessageFor(m => m.Code, "", new { @class = "text-danger" })
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-danger">غیر فعال سازی</button>
            </div>
        }
    </div>
</div>